from GUI import Window, Label, Font, application
from GUI.StdColors import red

num_labels = 5

win = Window(width = 160, height = 30 + 60 * num_labels, title = "Labels")

lbls = []
for i in range(num_labels):
    lbl = Label(position = (30, 30 + 60 * i), size = (100, 30))
    lbls.append(lbl)
    win.add(lbl)

lbls[0].text = "Spam!\nGlorious Spam!"
lbls[1].set(text = "Red", color = red)
lbls[2].set(text = "Italic", font = Font("Times", style = ['italic']))
lbls[3].set(text = "Centre", just = 'center')
lbls[4].set(text = "Right", just = 'right')

win.show()

application().run()
